package com.huimv.receive.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.common.utils.ResultCode;
import com.huimv.receive.entity.BaseLocation;
import com.huimv.receive.entity.BaseProcess;
import com.huimv.receive.entity.vo.BaseProcessVo;
import com.huimv.receive.mapper.BaseProcessMapper;
import com.huimv.receive.service.IBaseLocationService;
import com.huimv.receive.service.IBaseProcessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 流程表 服务实现类
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
@Service
public class BaseProcessServiceImpl extends ServiceImpl<BaseProcessMapper, BaseProcess> implements IBaseProcessService {

    @Autowired
    private IBaseLocationService baseLocationService;
    @Override
    public Result getOne(Map<String, String> map) {
        String id = map.get("processId");
        BaseProcess byId = this.getById(id);
        String[] allLocation = byId.getAllLocation().split(",");
        String[] allLocationId = byId.getAllLocationId().split(",");
        String[] allLocationStatus = byId.getAllLocationStatus().split(",");
        List list = new ArrayList();
        for (int i = 0; i < allLocation.length; i++) {
            BaseProcessVo baseProcessVo = new BaseProcessVo();
            baseProcessVo.setAllLocation(allLocation[i]);
            baseProcessVo.setAllLocationId(allLocationId[i]);
            baseProcessVo.setAllLocationSatus(allLocationStatus[i]);
            list.add(baseProcessVo);
        }


        return new Result(ResultCode.SUCCESS,list);
    }
}
